## edu.stanford.nlp.ling
Class CoreAnnotations.StateAnnotation

    java.lang.Object
      edu.stanford.nlp.ling.CoreAnnotations.StateAnnotation

All Implemented Interfaces:
  CoreAnnotation<CoreLabel>, TypesafeMap.Key<CoreMap,CoreLabel>

Enclosing class:
  CoreAnnotations

    public static class CoreAnnotations.StateAnnotation

extends Object
implements CoreAnnotation<CoreLabel>

The base version of the parser state, like NP or VBZ or ...

Constructor Summary
`CoreAnnotations.StateAnnotation()`

Method Summary
`Class<CoreLabel>` `getType()` Returns the type associated with this annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreAnnotations.StateAnnotation

    public CoreAnnotations.StateAnnotation()

Method Detail

### getType

    public Class<CoreLabel> getType()

  Description copied from interface: `CoreAnnotation`
  Returns the type associated with this annotation. This method must return the same class type as its value type parameter. It feels like one should be able to get away without this method, but because Java erases the generic type signature, that info disappears at runtime.

  Specified by:
    `getType` in interface `CoreAnnotation<CoreLabel>`

Stanford NLP Group